L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Ingres Database : buffer overflow via IIPROMPT

Synthèse de la vulnérabilité 

Lorsque Ingres Database est installé sous Windows, un attaquant peut provoquer un débordement, afin de faire exécuter du code.
Produits vulnérables : Ingres Database.
Gravité de cette faille : 2/4.
Date de création : 05/09/2011.
Références de ce bulletin : 125598, 421194, BID-49435, VIGILANCE-VUL-10968.

Description de la vulnérabilité 

Le service Windows iigcn.exe (GCN - General Communications Name Server) permet de diriger les requêtes vers le serveur associé.

Les requêtes IIPROMPT1, IIPROMPTONCE et IIPROMPTALL gèrent l'accès au service GCN.

Un attaquant peut employer une requête IIPROMPT* illicite, afin de provoquer un débordement dans iigcn.exe.

Lorsque Ingres Database est installé sous Windows, un attaquant peut donc provoquer un débordement, afin de faire exécuter du code.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Ce bulletin sécurité concerne les logiciels ou systèmes comme Ingres Database.

Notre équipe Vigil@nce a déterminé que la gravité de cet avis cyber-sécurité est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de shell utilisateur.

Un attaquant avec un niveau de compétence expert peut exploiter cette alerte de menace informatique.

Solutions pour cette menace 

Ingres Database : patch pour IIPROMPT.
Un patch est disponible :
  http://esd.actian.com/
  10.0 Windows 64-bit: P14120
  10.0 Windows 32-bit: P14109
  9.2 Windows 32-bit: P14111
  9.1 Windows 32-bit: P14116
  2.6 Windows 32-bit: P14106
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit des annonces cyber-sécurité. Le service de veille sur les vulnérabilités informatiques Vigil@nce alerte vos équipes des failles et des menaces qui concernent votre système d'information.